This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 191566 - powernow-k8: fid trans failed, fid 0xc, curr 0xe
powernow-k8: fid trans failed, fid 0xc, curr 0xe
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 202009
  Show dependency treegraph
 
Reported: 2006-05-12 18:51 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-17 16:27:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-05-12 18:51:29 EDT
Description of problem:

Seeing a fair number of:

powernow-k8: fid trans failed, fid 0xc, curr 0xe
powernow-k8: transition frequency failed

# cat /proc/cpuinfo
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 15
model           : 43
model name      : AMD Athlon(tm)64 X2 Dual Core Processor  4200+
stepping        : 1
cpu MHz         : 2200.000
cache size      : 512 KB
physical id     : 0
siblings        : 1
core id         : 0
cpu cores       : 0
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt lm 3dnowext
3dnow pni lahf_lm cmp_legacy
bogomips        : 5527.18
TLB size        : 1024 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 40 bits physical, 48 bits virtual
power management: ts fid vid ttp

(cpu #1 deleted)


Version-Release number of selected component (if applicable):
2.6.16-1.2111_FC5xen0
Comment 1 Dave Jones 2006-10-16 16:27:06 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Orion Poplawski 2006-10-17 18:37:18 EDT
Still present in 2.6.18-1.2200.fc5.  This seems to be a known issue with xen,
but I'll leave it open to track.
Comment 3 Michael Wyraz 2006-11-21 04:31:05 EST
Hi,
there's a patch for this issue (at least for 2.6.16):

http://lists.xensource.com/archives/html/xen-devel/2006-03/msg01410.html
Comment 4 Jarod Wilson 2006-12-05 17:11:14 EST
(In reply to comment #3)
> Hi,
> there's a patch for this issue (at least for 2.6.16):
> 
> http://lists.xensource.com/archives/html/xen-devel/2006-03/msg01410.html

Upstream (and us) won't apply that patch, because the scaling is based entirely
on the activity of dom0. Because dom0 has no knowledge of any given domU's cpu
usage, dom0 could very well try throttling back the processor while a domU is
going full-bore. At least for RHEL5, we've opted to disable powernow-k8, and
should possibly do the same for FC5 and FC6 kernels, if we haven't already.
Comment 5 Orion Poplawski 2007-10-17 16:27:26 EDT
Appears to be disabled in rawhide.

Note You need to log in before you can comment on or make changes to this bug.